KNetwork::KPassiveSocketBase Class Referenceabstract

`#include <ksocketbase.h>`

Inheritance diagram for KNetwork::KPassiveSocketBase:

## Public Member Functions

| KPassiveSocketBase ()
virtual | ~KPassiveSocketBase ()
virtual bool | bind (const KResolverEntry &address)=0
virtual bool | listen (int backlog)=0
virtual void | close ()=0
virtual KActiveSocketBase * | accept ()=0
virtual KSocketAddress | localAddress () const =0
virtual KSocketAddress | externalAddress () const =0
Public Member Functions inherited from KNetwork::KSocketBase
| KSocketBase ()
virtual | ~KSocketBase ()
virtual bool | setBlocking (bool enable)
bool | blocking () const
virtual bool | setAddressReuseable (bool enable)
bool | addressReuseable () const
virtual bool | setIPv6Only (bool enable)
bool | isIPv6Only () const
virtual bool | setBroadcast (bool enable)
bool | broadcast () const
KSocketDevice * | socketDevice () const
virtual void | setSocketDevice (KSocketDevice *device)
int | setRequestedCapabilities (int add, int remove=0)
SocketError | error () const
QString | errorString () const
QMutex * | mutex () const

## Additional Inherited Members

Public Types inherited from KNetwork::KSocketBase
enum | SocketOptions { Blocking = 0x01, AddressReuseable = 0x02, IPv6Only = 0x04, Keepalive = 0x08, Broadcast = 0x10 }
enum | SocketError { NoError = 0, LookupFailure, AddressInUse, AlreadyCreated, AlreadyBound, AlreadyConnected, NotConnected, NotBound, NotCreated, WouldBlock, ConnectionRefused, ConnectionTimedOut, InProgress, NetFailure, NotSupported, Timeout, UnknownError, RemotelyDisconnected }
Static Public Member Functions inherited from KNetwork::KSocketBase
static QString | errorString (SocketError code)
static bool | isFatalError (int code)
Protected Member Functions inherited from KNetwork::KSocketBase
virtual bool | setSocketOptions (int opts)
virtual int | socketOptions () const
bool | hasDevice () const
void | setError (SocketError error)

## Detailed Description

Abstract base class for passive sockets.

This socket provides the initial functionality for passive sockets, i.e., sockets that accept incoming connections.

Author
  Thiago Macieira thiag.nosp@m.o.ma.nosp@m.cieir.nosp@m.a@kd.nosp@m.email.nosp@m..net

Definition at line 683 of file ksocketbase.h.

## Constructor & Destructor Documentation

KPassiveSocketBase::KPassiveSocketBase | ( |  | ) |

Constructor.

Definition at line 321 of file ksocketbase.cpp.

KPassiveSocketBase::~KPassiveSocketBase | ( |  | ) |

virtual

Destructor.

Definition at line 325 of file ksocketbase.cpp.

## Member Function Documentation

virtual KActiveSocketBase* KNetwork::KPassiveSocketBase::accept | ( |  | ) |

pure virtual

Accepts a new incoming connection.

If this socket was in listening mode, you can call this function to accept an incoming connection.

If this function cannot accept a new connection (either because it is not listening for one or because the operation would block), it will return NULL.

Also note that descended classes will override this function to return specialised socket classes.

Implemented in KNetwork::KServerSocket, KNetwork::KSocketDevice, and KNetwork::KSocksSocketDevice.

virtual bool KNetwork::KPassiveSocketBase::bind | ( | const KResolverEntry & | address | ) |

pure virtual

Binds this socket to the given address.

The socket will be constructed with the address family, socket type and protocol as those given in the `address` object.

Parameters

  address | the address to bind to

Returns
  true if the binding was successful, false otherwise

Implemented in KNetwork::KServerSocket, KNetwork::KSocketDevice, and KNetwork::KSocksSocketDevice.

virtual void KNetwork::KPassiveSocketBase::close | ( |  | ) |

pure virtual

Closes this socket.

All resources used are freed. Note that closing a passive socket does not close the connections accepted with it.

Implemented in KNetwork::KServerSocket, KNetwork::KSocketDevice, and KNetwork::KHttpProxySocketDevice.

virtual KSocketAddress KNetwork::KPassiveSocketBase::externalAddress | ( |  | ) | const

pure virtual

Returns this socket's externally-visible address if known.

Implemented in KNetwork::KServerSocket, KNetwork::KSocketDevice, KNetwork::KSocksSocketDevice, and KNetwork::KHttpProxySocketDevice.

virtual bool KNetwork::KPassiveSocketBase::listen | ( | int | backlog | ) |

pure virtual

Puts this socket into listening mode.

Placing a socket in listening mode means that it will be allowed to receive incoming connections from remote hosts.

Note that some socket types or protocols cannot be put in listening mode.

Parameters

  backlog | the number of accepted connections to hold before starting to refuse

Returns
  true if the socket is now in listening mode

Implemented in KNetwork::KServerSocket, KNetwork::KSocketDevice, and KNetwork::KSocksSocketDevice.

virtual KSocketAddress KNetwork::KPassiveSocketBase::localAddress | ( |  | ) | const

pure virtual

Returns this socket's local address.

Implemented in KNetwork::KServerSocket, KNetwork::KSocketDevice, and KNetwork::KSocksSocketDevice.

The documentation for this class was generated from the following files:

- ksocketbase.h
- ksocketbase.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys